﻿@model MvcWebsiteOcc.Areas.administrators.Models.AboutSlider

@{
    ViewBag.Title = "Thêm giới thiệu slider";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/website_manager/about_sliders_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @* <li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">@lang.Lang_Name</a></li>  *@
                                </ul>

                                <div class="tab-content  tabs-flat">

                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Thông tin
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ASTitle)</label>
                                                        @Html.TextBoxFor(p => p.ASTitle, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ASTitle)</span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ASDescription)</label>
                                                        @Html.TextAreaFor(p => p.ASDescription, new { @class = "form-control textAuto summernote" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ASDescription)</span>
                                                    </div>

                                                </div>
                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ảnh Slide Show
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @(Html.Kendo().Upload()
                                                        .Name("file_image")
                                                        .TemplateId("fileTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(false)
                                                       )
                                                            <script id="fileTemplate" type="text/x-kendo-template">
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                                        <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                    </button>
                                                                </strong>

                                                            </script>
                                                        </div>

                                                    </div>
                                                    <div class="row">
                                                        <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-title">
                                                                Video
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    <div class="form-group">
                                                                        @Html.TextBoxFor(p => p.ASVideo, new { @class = "form-control"})
                                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ASVideo)</span>
                                                                         <span class="help-block">Nhúng video đã up trên Youtube. Ví dụ: https://www.youtube.com/watch?v=<b>4eWfRjyp2Nc</b> . Copy đoạn mã in đậm.</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-title">
                                                                Vị trí
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    <div class="form-group">
                                                                        @Html.TextBoxFor(p => p.SortOrder, new { @class = "form-control", Value = ViewBag.SortOrder })
                                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.SortOrder)</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-title">
                                                                Trạng thái
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    <div class="form-group">

                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    function onSelectFile(e) {
        var files = e.files;
        $.each(files, function () {
            if (this.extension.toLowerCase() != ".xml") {
                $('#modal-warning-xml').modal('show')
                e.preventDefault();
            }
        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });
        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>
<div class="modal fade modal-message modal-warning" id="modal-warning-xml" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .xml !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#websites").addClass("active open");
            $("#aboutus").addClass("active open");
            $("#aboutslider").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        //var markupStr = 'hello world';
        //$('.summernote').summernote('code', markupStr);
        $('.summernote').summernote({
            height: 100,                 // set editor height
            lang: 'vi-VN'
        });
    </script>

}